
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);
	
	switch(Dialog.CurrentNode)
	{
		case "First time":
			dialog.text = "Chce pan kupić dobre wyposażenie dla siebie i swoich ludzi, kapitanie? Zatem trafił pan w dobre miejsce!";
			link.l1 = "Pokaż mi, co tam masz.";
			link.l1.go = "Trade_exit";
			link.l2 = "Nie, dziękuję. Akurat teraz niczego mi nie trzeba.";
			link.l2.go = "exit";
			
			NextDiag.TempNode = "First time";
		break;


		case "Trade_exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			LaunchItemsTrade(npchar);
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}
